> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flintai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get single AI-SPM agent

> Get AI-SPM agent by ID with embedded models, MCP servers, tools, sub-agents, guardrails, and locations



## OpenAPI

````yaml /flintai/api-reference/openapi.json get /aispm-agents/tenants/{tenant_id}/workspaces/{workspace_id}/{id}
openapi: 3.0.3
info:
  contact: {}
  description: Flint AI Platform API
  license:
    name: Flint AI
    url: https://www.sandboxaq.com/legal/eula
  title: Flint AI Platform API
  version: 1.0.0
servers:
  - description: Flint AI Platform (per-tenant instance)
    url: https://{instance}.flintai.dev/api/v1
    variables:
      instance:
        default: your-instance
        description: Your Flint AI instance subdomain
security: []
paths:
  /aispm-agents/tenants/{tenant_id}/workspaces/{workspace_id}/{id}:
    get:
      tags:
        - aispm-agents
      summary: Get single AI-SPM agent
      description: >-
        Get AI-SPM agent by ID with embedded models, MCP servers, tools,
        sub-agents, guardrails, and locations
      operationId: GetAispmAgentDetails
      parameters:
        - description: Tenant ID
          in: path
          name: tenant_id
          required: true
          schema:
            type: string
        - description: Workspace ID
          in: path
          name: workspace_id
          required: true
          schema:
            type: string
        - description: AISPM agent Id
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.AispmDetailResponse'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Internal Server Error
      security:
        - BearerAuth: []
components:
  schemas:
    api.AispmDetailResponse:
      properties:
        burn_rate:
          $ref: '#/components/schemas/cost.BurnRate'
        cost_history:
          $ref: '#/components/schemas/cost.CostHistory'
        cost_per_session_history:
          items:
            $ref: '#/components/schemas/cost.PeriodCostPerSession'
          type: array
        cursor:
          type: string
        header:
          items:
            type: string
          type: array
        input_guardrails:
          $ref: '#/components/schemas/engine_output.EmbeddedSection'
        locations:
          $ref: '#/components/schemas/engine_output.EmbeddedLocationSection'
        mcp_servers:
          $ref: '#/components/schemas/engine_output.EmbeddedSection'
        models:
          $ref: '#/components/schemas/engine_output.EmbeddedSection'
        output_guardrails:
          $ref: '#/components/schemas/engine_output.EmbeddedSection'
        rows:
          items:
            items: {}
            type: array
          type: array
        sub_agents:
          $ref: '#/components/schemas/engine_output.EmbeddedSection'
        tools:
          $ref: '#/components/schemas/engine_output.EmbeddedSection'
        total:
          type: integer
        total_sampling:
          type: number
      required:
        - cursor
        - header
        - rows
      type: object
    common.RequestError:
      description: Error responses returned by the API
      properties:
        code:
          example: 400
          type: integer
        message:
          example: Invalid request
          type: string
      required:
        - code
        - message
      type: object
    cost.BurnRate:
      properties:
        daily_spend_rate:
          type: number
        status:
          type: string
      type: object
    cost.CostHistory:
      properties:
        current_month:
          type: number
        current_quarter:
          type: number
        monthly:
          items:
            $ref: '#/components/schemas/cost.PeriodCost'
          type: array
        ytd:
          type: number
      type: object
    cost.PeriodCostPerSession:
      properties:
        cost_per_session:
          type: number
        period:
          type: string
      type: object
    engine_output.EmbeddedSection:
      properties:
        items:
          items:
            $ref: '#/components/schemas/engine_output.EmbeddedItem'
          type: array
        total:
          type: integer
      type: object
    engine_output.EmbeddedLocationSection:
      properties:
        items:
          items:
            $ref: '#/components/schemas/engine_output.EmbeddedLocationItem'
          type: array
        total:
          type: integer
      type: object
    cost.PeriodCost:
      properties:
        cost:
          type: number
        period:
          type: string
      type: object
    engine_output.EmbeddedItem:
      properties:
        id:
          type: string
        name:
          type: string
      type: object
    engine_output.EmbeddedLocationItem:
      properties:
        codeLocation:
          type: object
        id:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: Use this header with a Bearer token to authenticate requests.
      in: header
      name: Authorization
      type: apiKey

````